## kdenlive 19.12.2

=== debian/changelog ===
kdenlive (19.12.2-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch 01-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 07 Feb 2020 15:30:46 +0100

kdenlive (19.12.1-1) unstable; urgency=medium

  * New upstream release.
    - Adjust debian/copyright and lintian overrides.
  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Update debian/watch to version 4 and monitor newer releases.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 15:42:22 +0100

kdenlive (19.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Nov 2019 10:41:06 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.10.0),
 libmlt++-dev (>= 6.10.0),
 librttr-dev,
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5doctools-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 kinit,
 kded5,
 kio,
 melt,
 ffmpeg
Recommends: swh-plugins,
 breeze-icon-theme,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.docbook

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kdenlive 19.12.3

=== CMakeLists.txt ===
project(Kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")

set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})

cmake_minimum_required(VERSION 3.0)
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

if(BUILD_FUZZING)
  set(CMAKE_CXX_FLAGS "${KDENLIVE_CXX_FLAGS} -fsanitize=fuzzer-no-link,address")
endif()
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option")
endif()

# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version" ON)
option(BUILD_TESTING "Build tests" ON)
option(BUILD_FUZZING "Build fuzzing target" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 6)
set(MLT_MIN_MINOR_VERSION 18)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# KDE Frameworks
find_package(ECM 5.45.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets
                            DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)

# Qt
set(QT_MIN_VERSION 5.11.0)
find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg Quick Concurrent QuickWidgets Multimedia)
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
    find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)
endif()

if(KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

if(KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

find_package(RTTR 0.9.6 QUIET)
if(NOT RTTR_FOUND)
  message(STATUS "RTTR not found on system, will download source and build it")
  include(rttr.CMakeLists.txt)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wno-suggest-override")

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)
ki18n_install(po)

include(GNUInstallDirs)
install(FILES AUTHORS COPYING README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

if (ECM_VERSION VERSION_LESS "5.59.0")
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})
else()
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
endif()

############################
# Tests
############################

if(BUILD_TESTING)
    message(STATUS "Building tests")
    add_subdirectory(tests)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fexceptions")
    include_directories(
        ${CMAKE_BINARY_DIR}
        ${CMAKE_BINARY_DIR}/src
        ${MLT_INCLUDE_DIR}
        ${MLTPP_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        src)
    add_executable(runTests ${Tests_SRCS})
    set_property(TARGET runTests PROPERTY CXX_STANDARD 14)
    target_link_libraries(runTests kdenliveLib)
    add_test(NAME runTests COMMAND ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/runTests -d yes)
endif()

if(BUILD_FUZZING)
    message(STATUS "Building fuzzing")
	set(CMAKE_CXX_COMPILER /usr/bin/clang++)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDENLIVE_CXX_FLAGS} -fsanitize=fuzzer-no-link,address")
    add_subdirectory(fuzzer)
endif()

=== tests/CMakeLists.txt ===
############################
# Tests
############################
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -fexceptions")
string (REPLACE "-std=gnu++11" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})


SET(Tests_SRCS
    tests/TestMain.cpp
    tests/abortutil.cpp
    tests/compositiontest.cpp
    tests/effectstest.cpp
    tests/groupstest.cpp
    tests/keyframetest.cpp
    tests/markertest.cpp
    tests/modeltest.cpp
    tests/regressions.cpp
    tests/snaptest.cpp
    tests/test_utils.cpp
    tests/timewarptest.cpp
    tests/treetest.cpp
    tests/trimmingtest.cpp
    PARENT_SCOPE
)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src
    ${MLT_INCLUDE_DIR}
    ${MLTPP_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ../src
    )

=== thumbnailer/CMakeLists.txt ===
set(mltpreview_SRCS mltpreview.cpp)

include_directories(
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

add_library(mltpreview MODULE ${mltpreview_SRCS})


target_link_libraries(mltpreview
        Qt5::Core
        Qt5::Gui
        KF5::KIOCore
        KF5::KIOWidgets
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
)
#FIXME: For some reason the plugin only seems to work if installed in $lib/qt5/plugins and not in $lib/plugins like KF5 recommends
install(TARGETS mltpreview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES mltpreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== data/effects/CMakeLists.txt ===
INSTALL (FILES 

audiospectrum.xml
audiowave.xml
audiowaveform.xml
automask.xml
audiobalance.xml
audiopan.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dust.xml
dynamictext.xml
freeze.xml
gamma.xml
grain.xml
greyscale.xml
invert.xml
loudness.xml
dynamic_loudness.xml
luma.xml
mirror.xml
mute.xml
normalise.xml
oldfilm.xml
pan_zoom.xml
obscure.xml
region.xml
rotation.xml
rotation_keyframable.xml
scratchlines.xml
sepia.xml
shape.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_brightness.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_colgate.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_colorize.xml
frei0r_colortap.xml
frei0r_contrast0r.xml
frei0r_c0rners.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_dither.xml
frei0r_edgeglow.xml
frei0r_emboss.xml
frei0r_equaliz0r.xml
frei0r_flippo.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_iirblur.xml
frei0r_keyspillm0pup.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_medians.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_rgbnoise.xml
frei0r_rgbparade.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sigmoidaltransfer.xml
frei0r_sobel.xml
frei0r_softglow.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_timeout.xml
frei0r_tint0r.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_vignette.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
fade_from_black.xml
fade_to_black.xml
gain.xml
lift_gamma_gain.xml
movit_blur.xml
movit_deconvolution_sharpen.xml
movit_diffusion.xml
movit_glow.xml
movit_lift_gamma_gain.xml
movit_mirror.xml
movit_opacity.xml
movit_rect.xml
movit_saturation.xml
movit_unsharp_mask.xml
movit_vignette.xml
movit_white_balance.xml
qtblend.xml
rotoscoping.xml
speed.xml
swapchannels.xml
tcolor.xml
tracker.xml
vignette.xml
vidstab.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

add_subdirectory(update)
add_subdirectory(avfilter)

=== src/abstractmodel/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  abstractmodel/abstracttreemodel.cpp
  abstractmodel/treeitem.cpp
  PARENT_SCOPE)

=== src/assets/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  assets/assetlist/view/qmltypes/asseticonprovider.cpp
  assets/assetlist/view/assetlistwidget.cpp
  assets/assetlist/model/assetfilter.cpp
  assets/assetlist/model/assettreemodel.cpp
  assets/assetpanel.cpp
  assets/keyframes/model/rotoscoping/bpoint.cpp
  assets/keyframes/model/keyframemonitorhelper.cpp
  assets/keyframes/model/rotoscoping/rotohelper.cpp
  assets/keyframes/model/corners/cornershelper.cpp
  assets/keyframes/model/keyframemodel.cpp
  assets/keyframes/model/keyframemodellist.cpp
  assets/keyframes/view/keyframeview.cpp
  assets/model/assetparametermodel.cpp
  assets/model/assetcommand.cpp
  assets/view/assetparameterview.cpp
  assets/view/widgets/abstractparamwidget.cpp
# assets/view/widgets/animationwidget.cpp
  assets/view/widgets/boolparamwidget.cpp
  assets/view/widgets/buttonparamwidget.cpp
  assets/view/widgets/switchparamwidget.cpp
  assets/view/widgets/urlparamwidget.cpp
  assets/view/widgets/doubleparamwidget.cpp
  assets/view/widgets/colorwheel.cpp
  assets/view/widgets/slidewidget.cpp
  assets/view/widgets/lumaliftgainparam.cpp
  assets/view/widgets/keyframeimport.cpp
  assets/view/widgets/keyframewidget.cpp
  assets/view/widgets/listparamwidget.cpp
  assets/view/widgets/geometryeditwidget.cpp
  assets/view/widgets/positioneditwidget.cpp
  assets/view/widgets/coloreditwidget.cpp
  assets/view/widgets/hideparamwidget.cpp
  assets/view/widgets/clickablelabelwidget.cpp
  assets/view/widgets/fontparamwidget.cpp
  assets/view/widgets/keywordparamwidget.cpp
  # curves widget
  assets/view/widgets/curves/abstractcurvewidget.h
  assets/view/widgets/curves/bezier/beziersplineeditor.cpp
  assets/view/widgets/curves/bezier/bpoint.cpp
  assets/view/widgets/curves/bezier/cubicbezierspline.cpp
  assets/view/widgets/curves/cubic/kis_curve_widget.cpp
  assets/view/widgets/curves/cubic/kis_cubic_curve.cpp
  PARENT_SCOPE)

=== src/bin/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  bin/abstractprojectitem.cpp
  bin/bin.cpp
  bin/bincommands.cpp
  bin/binplaylist.cpp
  bin/clipcreator.cpp
  bin/filewatcher.cpp
  bin/generators/generators.cpp
  bin/model/markerlistmodel.cpp
  bin/projectclip.cpp
  bin/projectfolder.cpp
  bin/projectitemmodel.cpp
  bin/projectsortproxymodel.cpp
  bin/projectsubclip.cpp
  PARENT_SCOPE
)

=== src/dialogs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/kdenlivesettingsdialog.cpp
  dialogs/markerdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/renderwidget.cpp
  dialogs/splash.cpp
  dialogs/titletemplatedialog.cpp
  dialogs/wizard.cpp
  PARENT_SCOPE)

=== src/mltcontroller/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
#  mltcontroller/bincontroller.cpp
#  mltcontroller/clip.cpp
  mltcontroller/clipcontroller.cpp
  mltcontroller/clippropertiescontroller.cpp
#  mltcontroller/effectscontroller.cpp
  PARENT_SCOPE)

=== src/project/CMakeLists.txt ===
add_subdirectory(dialogs)
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  project/clipstabilize.cpp
  project/cliptranscode.cpp
  project/invaliddialog.cpp
  project/projectcommands.cpp
  project/projectmanager.cpp
  project/effectsettings.cpp
  project/notesplugin.cpp
  PARENT_SCOPE)

=== src/qt-oauth-lib/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  qt-oauth-lib/logindialog.cpp
  qt-oauth-lib/oauth2.cpp
  PARENT_SCOPE)

=== packaging/appimage/3rdparty/CMakeLists.txt ===
project (kdenlive-and-all-its-deps)

#
# Build all dependencies for KMyMoney and finally KMyMoney itself.
# Parameters: EXT_DOWNLOAD_DIR place to download all packages
#             INSTALL_ROOT place to install everything to
#
# Example usage: cmake ..\kmymoneydep -DEXT_DOWNLOAD_DIR=/dev2/d -DINSTALL_ROOT=/dev2/i


cmake_minimum_required(VERSION 2.8.6)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
	message(FATAL_ERROR "Compiling in the source directory is not supported. Use for example 'mkdir build; cd build; cmake ..'.")
endif()

# Tools must be obtained to work with:
include(ExternalProject)

# allow specification of a directory with pre-downloaded
# requirements
if(NOT IS_DIRECTORY ${EXT_DOWNLOAD_DIR})
    message(FATAL_ERROR "No externals download dir set. Use -DEXT_DOWNLOAD_DIR")
endif()

if(NOT IS_DIRECTORY ${EXT_INSTALL_DIR})
    message(FATAL_ERROR "No install dir set. Use -DEXT_INSTALL_DIR")
endif()

message( STATUS "CMAKE_GENERATOR: ${CMAKE_GENERATOR}")
set(CMAKE_PREFIX_PATH "${EXT_INSTALL_DIR};${EXT_INSTALL_DIR}/openssl")
set(CMAKE_INSTALL_PREFIX "${EXT_INSTALL_DIR}")
set(CMAKE_BUILD_TYPE RelWithDebInfo)

set(CMAKE_GLOBAL_PROFILE
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
  -DCMAKE_INSTALL_PREFIX=${CMAKE_PREFIX_PATH}
  -DCMAKE_PREFIX_PATH=${CMAKE_INSTALL_PREFIX}
  -DBUILD_TESTING=FALSE
)

# without --host=x86_64 gmp builds with optimizations for skylake and that prevents running KMyMoney on pre-skylake CPUs
set(AT_HOST --host=x86_64-linux-gnu)
set(AT_SHARED_ONLY --disable-static --enable-shared)
set(AT_CPP_FLAGS "-I${EXT_INSTALL_DIR}/include -I${EXT_INSTALL_DIR}/openssl/include")
set(AT_LD_FLAGS "-L${EXT_INSTALL_DIR}/lib -L${EXT_INSTALL_DIR}/openssl/lib")

set(PATCH_COMMAND patch)

# this list must be dependency-ordered
add_subdirectory( ext_iconv )
add_subdirectory( ext_zlib )
add_subdirectory( ext_lzma )
add_subdirectory( ext_icu )
add_subdirectory( ext_ncurses )
add_subdirectory( ext_readline )
add_subdirectory( ext_xml )
add_subdirectory( ext_gettext )
add_subdirectory( ext_png )
add_subdirectory( ext_nasm )
add_subdirectory( ext_yasm )
add_subdirectory( ext_jpeg )
add_subdirectory( ext_boost )
add_subdirectory( ext_xslt )
add_subdirectory( ext_fontconfig )
add_subdirectory( ext_intltool )
add_subdirectory( ext_sharedmimeinfo )
add_subdirectory( ext_gmp )
add_subdirectory( ext_gpgerror )
add_subdirectory( ext_assuan2 )
add_subdirectory( ext_nettle )
add_subdirectory( ext_tasn1 )
add_subdirectory( ext_unistring )
add_subdirectory( ext_gnutls )
add_subdirectory( ext_pcre2 )
add_subdirectory( ext_freetype )
add_subdirectory( ext_harfbuzz )
add_subdirectory( ext_sqlite )
add_subdirectory( ext_openssl )
add_subdirectory( ext_mysql )
add_subdirectory( ext_tcl )
add_subdirectory( ext_postgresql )
add_subdirectory( ext_qt )
add_subdirectory( ext_phonon )
add_subdirectory( ext_gpgme )
add_subdirectory( ext_gcrypt )
add_subdirectory( ext_frameworks )
add_subdirectory( ext_xmlsec1 )
add_subdirectory( ext_sqlcipher )
add_subdirectory( ext_opensp )
add_subdirectory( ext_ofx )
add_subdirectory( ext_libsndfile )
add_subdirectory( ext_libsamplerate )
add_subdirectory( ext_alsa )
add_subdirectory( ext_fftw3 )
add_subdirectory( ext_fftw3f )
add_subdirectory( ext_sdl2 )
add_subdirectory( ext_sox )
add_subdirectory( ext_jack ) 
add_subdirectory( ext_ladspa )
add_subdirectory( ext_x264 )
add_subdirectory( ext_x265 )
add_subdirectory( ext_libvpx )
add_subdirectory( ext_ffmpeg )
add_subdirectory( ext_cairo )
add_subdirectory( ext_pango )
add_subdirectory( ext_gdkpixbuf )
add_subdirectory( ext_gtk+ )
add_subdirectory( ext_gavl )
add_subdirectory( ext_frei0r )
add_subdirectory( ext_opencv )
add_subdirectory( ext_vidstab )
add_subdirectory( ext_vamp )
add_subdirectory( ext_rubberband )
add_subdirectory( ext_mlt )
add_subdirectory( ext_ruby )
add_subdirectory( ext_kdenlive )

=== debian/changelog ===
kdenlive (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:34 +0000

kdenlive (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:15 +0000

kdenlive (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:19 +0000

kdenlive (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:56 +0000

kdenlive (4:19.08.3a-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:37 +0000

kdenlive (4:19.08.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (19.08.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 09 Oct 2019 20:00:15 +0100

kdenlive (4:19.08.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.08.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 05 Sep 2019 15:55:44 +0100

kdenlive (4:19.08.0a-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.08.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Aug 2019 09:54:47 +0100

kdenlive (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:28 +0100

kdenlive (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:14 +0100

kdenlive (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * New upstream release (19.04.1)
  * Update with new build depends.
    - libkf5declarative-dev
    - qtmultimedia5-dev
    - librttr-dev
  * Install renamed docs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 22 May 2019 08:58:03 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: cmake,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5purpose-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 6.6.0),
               libmlt-dev (>= 6.6.0),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               librttr-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev,
               qtscript5-dev (>= 5.6.1~),
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins,
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: optional
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	rm -f $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/COPYING.gz
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+git\d+//,\
pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/release-service/([\d.]+)/src/kdenlive-([\d.]+)\.tar\.xz

## kdenlive 20.04.0

=== debian/changelog ===
kdenlive (20.04.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Move most recommended packages to depends.
  * debian/control:
    - correct mlt minimum version to 6.20
    - add qtquickcontrols2-5-dev to BDs to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Apr 2020 08:31:19 -0700

kdenlive (19.12.3-2) unstable; urgency=medium

  * Adjust some build dependencies for backporting.
    Closes: #958186
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2020 10:38:59 +0200

kdenlive (19.12.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-errors.
  * Use kf5 debhelper addon.
    Closes: #950892
  * Fix installation of appdata files. Thanks to Pino Toscano.
    Closes: #950891

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Mar 2020 12:30:00 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.20.0),
 libmlt++-dev (>= 6.20.0),
 librttr-dev,
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 kinit,
 kded5,
 kio,
 melt,
 ffmpeg,
 dvdauthor,
 genisoimage,
 frei0r-plugins,
 swh-plugins,
 breeze-icon-theme,
 oxygen-icon-theme,
Recommends:
 dvgrab,
 recordmydesktop,
Suggests: khelpcenter
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 20.04.1

=== debian/changelog ===
kdenlive (20.04.1-1~mx19+2) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Add gstreamer1.0-plugins-bad as dependency.
    Closes: #958379
  * Drop kdenlive-data and kdenlive lintian-overrides.
  * Add patch 01-spelling-error from Debian's version.
  * Recommend better alternative screen recorders than recordmydesktop.
  * Run wrap-and-sort on control file.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Jun 2020 12:13:29 -0700

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.59~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 6.20.0),
               libmlt-dev (>= 6.20.0),
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               librttr-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qtscript5-dev

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         dvdauthor,
         ffmpeg,
         frei0r-plugins,
         genisoimage,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         oxygen-icon-theme,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         swh-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvgrab,
            simplescreenrecorder | vokoscreen-ng | vokoscreen | recordmydesktop
Suggests: khelpcenter
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 20.04.2

=== debian/changelog ===
kdenlive (20.04.2-0.1~mx19+2) mx; urgency=medium

  * Added frei0r-plugins & breeze-icon-theme to depends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 Jul 2020 18:12:49 -0700

kdenlive (20.04.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Revert to debhelper-compat 12.
  * Actually requires at least mlt 6.20.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Jun 2020 15:19:10 -0700

kdenlive (20.04.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 May 2020 15:49:57 +0200

kdenlive (20.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Add gstreamer1.0-plugins-bad as dependency.
    Closes: #958379
  * Upgrade to debhelper-compat 13.
  * Drop kdenlive-data and kdenlive lintian-overrides.
  * Add patch 01-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 May 2020 13:38:57 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.20.0),
 libmlt++-dev (>= 6.20.0),
 librttr-dev,
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 frei0r-plugins,
 breeze-icon-theme,
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 kinit,
 kded5,
 kio,
 melt,
 gstreamer1.0-plugins-bad,
 ffmpeg
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/

override_dh_auto_test:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kdenlive 20.08.0

=== debian/changelog ===
kdenlive (20.08.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Revert to debhelper-compat 12.
  * Make all recommended packages dependencies except for recordmydesktop, 
    dvgrab, and swh-plugins.
  * Correct minimum version of MLT to 6.20 and add miimum version of Qt 5.11.
  * Drop 01-spelling-error.patch: fixed upstream.
  * debian/rules: bump l10npkgs_firstversion_ok to := 4:17.03.90-0~.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Aug 2020 12:57:16 -0700

kdenlive (20.04.3-1) unstable; urgency=high

  * New upstream release.
  * Rebuild against current ffmpeg.
    Closes: #963706

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Jul 2020 15:13:27 +0200

kdenlive (20.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jun 2020 10:13:18 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.59~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 6.20.0),
               libmlt-dev (>= 6.20.0),
               libqt5opengl5-dev (>= 5.11.0),
               libqt5svg5-dev (>= 5.11.0),
               libqt5webkit5-dev (>= 5.11.0),
               librttr-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.11.0),
               qtmultimedia5-dev (>= 5.11.0),
               qtquickcontrols2-5-dev (>= 5.11.0),
               qtscript5-dev (>= 5.11.0)

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         dvdauthor,
         ffmpeg,
         frei0r-plugins,
         genisoimage,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         oxygen-icon-theme,
         qml-module-qtgraphicaleffects (>= 5.11.0),
         qml-module-qtqml-models2 (>= 5.11.0),
         qml-module-qtquick-controls (>= 5.11.0),
         qml-module-qtquick-controls2 (>= 5.11.0),
         qml-module-qtquick-dialogs (>= 5.11.0),
         qml-module-qtquick-layouts (>= 5.11.0),
         qml-module-qtquick-window2 (>= 5.11.0),
         qml-module-qtquick2 (>= 5.11.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: recordmydesktop, dvgrab, swh-plugins
Suggests: khelpcenter
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-4~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
